"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var feature_toggle_provider_1 = require("./feature-toggle.provider");
var FeatureToggleProviderComponent = (function () {
    function FeatureToggleProviderComponent(featureToggleServiceProvider) {
        this.featureToggleServiceProvider = featureToggleServiceProvider;
        this.featureToggleService = {};
    }
    FeatureToggleProviderComponent.prototype.ngOnInit = function () {
        if (typeof this.featureToggleService !== 'object') {
            throw new Error('Attribute `featureToggleService` should not be null or empty');
        }
        this.featureToggleServiceProvider.setConfigurationObject(this.featureToggleService);
    };
    return FeatureToggleProviderComponent;
}());
FeatureToggleProviderComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'feature-toggle-provider',
                template: "<ng-content></ng-content>"
            },] },
];
/** @nocollapse */
FeatureToggleProviderComponent.ctorParameters = function () { return [
    { type: feature_toggle_provider_1.FeatureToggleServiceProvider, },
]; };
FeatureToggleProviderComponent.propDecorators = {
    'featureToggleService': [{ type: core_1.Input },],
};
exports.FeatureToggleProviderComponent = FeatureToggleProviderComponent;
